<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8"/>
	<meta type="Content-type" content="text/html;charset=UTF-8" />
	<title>集合</title>
	<style type="text/css"></style>
</head>
<body>
	<script type="text/javascript">
		function Set(){
    		let items={};
    		this.has=function(){
    			return value in items;
			};
			this.add=function(){
			    if(!this.has(value)){
			        items[value]=value;
			        return true;
			    }
			    return false;
			};
			this.remove=function(){
			    if(!this.has(value)){
			        delete items[value];
			        return true;
			    }
			    return fasle;
			};
			this.clear=function(){
			    items={};
			};
			this.clear=function(){
			    return Object.keys(items).length;
			};
			this.values=function(){
			    let values=[];
			    for(let i=0,keys=Object.keys(items);i<keys.length;i++){
			        valus.push(items[key[i]]);
			    }
			    return values;
			};
		};
	</script>
</body>
</html>